Summary: A GNU stream text editor.
Name: sed
Version: 4.4
Release: 1
License: GPL
Group: Applications/Text
URL: http://www.gnu.org/software/sed/
Source0: ftp://ftp.gnu.org/pub/gnu/sed/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/pub/gnu/sed/%{name}-%{version}.tar.xz.sig
Source2: http://sed.sourceforge.net/sedfaq.txt
# patch required to avoid "Memory exhausted" errors on AIX
# see http://www.mail-archive.com/gentoo-alt@lists.gentoo.org/msg02038.html
Patch0: %{name}-%{version}-aix-memory.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: sed
Requires: gettext
Requires: /sbin/install-info, info

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}

cp %{SOURCE2} sedfaq.txt
chmod 0644 sedfaq.txt
gzip --best sedfaq.txt


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/sed.info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

( cd $RPM_BUILD_ROOT
  mkdir -p usr/linux/bin
  ln -sf ../../..%{_bindir}/sed usr/linux/bin/sed
)


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc BUGS NEWS THANKS README AUTHORS sedfaq.txt.gz
%{_bindir}/sed
%{_infodir}/*.info*
%{_mandir}/man?/*
%{_datadir}/locale/*
/usr/linux/bin/*


%changelog
* Sat Feb 04 2017 Michael Perzl <michael@perzl.org> - 4.4-1
- updated to version 4.4

* Wed Jan 04 2016 Michael Perzl <michael@perzl.org> - 4.3-1
- updated to version 4.3

* Sat Dec 22 2012 Michael Perzl <michael@perzl.org> - 4.2.2-1
- updated to version 4.2.2

* Thu Jul 01 2010 Michael Perzl <michael@perzl.org> - 4.2.1-2
- removed dependency on gettext

* Mon Jun 29 2009 Michael Perzl <michael@perzl.org> - 4.2.1-1
- updated to version 4.2.1

* Thu Apr 30 2009 Michael Perzl <michael@perzl.org> - 4.2-1
- updated to version 4.2

* Mon Mar 17 2008 Michael Perzl <michael@perzl.org> - 4.1.5-1
- first version for AIX V5.1 and higher
